Finalize an Order
curl --request POST \
--url https://public-api.stora.co/2025-09/orders/{order_id}/finalize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"finalize": {
"cancel_redirect_url": "https://your-portal.com/orders/canceled"
}
}
'import requests
url = "https://public-api.stora.co/2025-09/orders/{order_id}/finalize"
payload = { "finalize": { "cancel_redirect_url": "https://your-portal.com/orders/canceled" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({finalize: {cancel_redirect_url: 'https://your-portal.com/orders/canceled'}})
};
fetch('https://public-api.stora.co/2025-09/orders/{order_id}/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": {
"id": "order_942ae99a1fdc940e",
"billing_period": "monthly",
"contact": {
"id": "con_0ac0514ed0711462"
},
"contract_template": null,
"coupon": null,
"created_at": "2025-02-22T14:41:00Z",
"email_notifications": {
"booking_confirmation": true,
"move_in_day": true,
"payment_details": false
},
"line_items": [
{
"id": "olitm_1001cbd3d5fec937"
},
{
"id": "olitm_260799c6b6b1a274"
},
{
"id": "olitm_47eba7938308c71d"
},
{
"id": "olitm_b202613e81c9101e"
}
],
"metadata": {},
"one_time_total": {
"amount": 201998,
"currency": "GBP",
"formatted": "£2,019.98"
},
"one_time_total_excluding_tax": {
"amount": 201998,
"currency": "GBP",
"formatted": "£2,019.98"
},
"payment_method": "card",
"payment_url": "https://subdomain.stora.test/payments/eyJfcmFpbHMiOnsibWVzc2FnZSI6Ik9yZGVyOjllZjA3MTUxZjI0NzA3NTQiLCJleHAiOm51bGwsInB1ciI6ImJvb2tpbmcifX0=--64460a36d14f62a4c152eb3e317212a7c68fc375/pay",
"purchase_order_number": null,
"site": {
"id": "site_14b419f1096013f1"
},
"source": "public_api",
"starts_at": "2025-02-23T14:41:00Z",
"status": "finalized",
"subscription": null,
"subtotal": {
"amount": 11998,
"currency": "GBP",
"formatted": "£119.98"
},
"tax": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"tenancy": null,
"total": {
"amount": 11998,
"currency": "GBP",
"formatted": "£119.98"
},
"total_discount": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"total_excluding_tax": {
"amount": 11998,
"currency": "GBP",
"formatted": "£119.98"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://subdomain.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "invalid_content",
"details": [
{
"message": "Order can not be finalized in its current state (finalized)",
"pointer": "order"
}
],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The request body content is not valid.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Orders
Finalize an Order
Finalize an order to process it for payment.
Required authorization scope: public.order:write
POST
/
2025-09
/
orders
/
{order_id}
/
finalize
Finalize an Order
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the order to finalize
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Body
application/json
Create an order
Show child attributes
Show child attributes
Was this page helpful?
⌘I